'Newland.CityTheme:MediaSliderVideo':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.CityTheme:SpacingMixIn': false

  ui:
    label: 'Video Slide'
    icon: image
    inspector:
      groups:
        video:
          label: 'Video'
          icon: image

  properties:
    description:
      type: string
      ui:
        label: 'Beschreibung'
        inspector:
          group: video
          editor: Neos.Neos/Inspector/Editors/TextAreaEditor
          editorOptions:
            rows: 4
    image:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: 'Vorschau-Bild'
        reloadIfChanged: true
        inspector:
          group: video
    videoUrl:
      type: string
      ui:
        label: 'Youtube Link'
        reloadIfChanged: true
        inspector:
          group: video
